Magick++: Magick::PathQuadraticCurvetoAbs Class Reference

Magick++ 7.1.0

Public Member Functions | List of all members
Magick::PathQuadraticCurvetoAbs Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::PathQuadraticCurvetoAbs:
[legend]
Collaboration diagram for Magick::PathQuadraticCurvetoAbs:
[legend]

## Public Member Functions
| PathQuadraticCurvetoAbs (const Magick::PathQuadraticCurvetoArgs &args_)
| PathQuadraticCurvetoAbs (const PathQuadraticCurvetoArgsList &args_)
| PathQuadraticCurvetoAbs (const PathQuadraticCurvetoAbs &original_)
| ~PathQuadraticCurvetoAbs (void)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const
Public Member Functions inherited from Magick::VPathBase
| VPathBase (void)
virtual | ~VPathBase (void)

## Detailed Description

Definition at line 2823 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ PathQuadraticCurvetoAbs() [1/3]

Magick::PathQuadraticCurvetoAbs::PathQuadraticCurvetoAbs | ( | const Magick::PathQuadraticCurvetoArgs & | args_ | ) |

Definition at line 2187 of file Drawable.cpp.

## ◆ PathQuadraticCurvetoAbs() [2/3]

Magick::PathQuadraticCurvetoAbs::PathQuadraticCurvetoAbs | ( | const PathQuadraticCurvetoArgsList & | args_ | ) |

Definition at line 2192 of file Drawable.cpp.

## ◆ PathQuadraticCurvetoAbs() [3/3]

Magick::PathQuadraticCurvetoAbs::PathQuadraticCurvetoAbs | ( | const PathQuadraticCurvetoAbs & | original_ | ) |

Definition at line 2197 of file Drawable.cpp.

## ◆ ~PathQuadraticCurvetoAbs()

Magick::PathQuadraticCurvetoAbs::~PathQuadraticCurvetoAbs | ( | void |  | ) |

Definition at line 2202 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::VPathBase * Magick::PathQuadraticCurvetoAbs::copy | ( |  | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2215 of file Drawable.cpp.

## ◆ operator()()

void Magick::PathQuadraticCurvetoAbs::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2206 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp